
CoCoALib - Feature #496

ideal: minimalize or minimalized?

27 Mar 2014 08:09 - Anna Maria Bigatti

Status: Closed Start date: 27 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 7.00 hours

Target version: CoCoALib-0.99532 Spent time: 7.00 hours

Description

In CoCoA-4 there were two functions:

- minimalized(I): returning an ideal J=I generated by a minimal set of generators of I

- minimalize(I): changing the set of generators with a minimal set of generators.

This would be handy: I expect, when asking for MinGens, no one really cares anymore for the original generators...

Related issues:

Related to CoCoA-5 - Design #1123: Should "minimalize" be obsolescent? Closed 16 Nov 2017

History

#1 - 27 Mar 2014 08:22 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

- % Done changed from 0 to 20

Decided how and implemented myMinimalized.

The current design for ideals actually makes it simple: operations are object-oriented, so just a few fields have to be updated.

#2 - 27 Mar 2014 18:16 - Anna Maria Bigatti

- % Done changed from 20 to 90

done and tested, documented, ported to CoCoA-5

Works only for homogeneous input.

Cleverly stores GBasis and MinGens in the input and output ideals.

No optimization needed (possible) for non-homogeneous case.

#3 - 01 Apr 2014 18:52 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99532

- % Done changed from 90 to 100

#4 - 01 Apr 2014 18:52 - Anna Maria Bigatti

- Estimated time set to 7.00 h

#5 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Design #1123: Should "minimalize" be obsolescent? added
